%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           poker2d
Version:        1.4.0
Release:        1%{?dist}
Summary:        GTK poker client to play on a poker-network server

Group:          Amusements/Games
License:        GPLv2+
URL:            http://pokersource.org/poker-network
Source0:        http://download.gna.org/pokersource/sources/poker-network-%{version}.tar.gz
Patch0:         %{name}-1.2.0-configure.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils hicolor-icon-theme ImageMagick gettext
BuildRequires:  apg python-devel poker-engine-devel >= 1.0.21
BuildRequires:  glib2-devel libglade2-devel pygtk2-devel pygtk2-libglade
BuildRequires:  MySQL-python python-twisted-web pyOpenSSL libtool gettext-devel
Requires:       python-simplejson, pygame, %{name}-common = %{version}-%{release}

# Obsolete kde subpackage (bz #434936)
Provides: %{name}-kde = %{version}-%{release}
Obsoletes: %{name}-kde < 1.4.0-1

%description
Play poker with other players connected on a poker-network server
(holdem, omaha, omaha high/low, stud 7 ...) in ring games, sit and go
or multitables tournaments. poker2d will automaticaly reconnect to
the table if the connection is lost and allows playing on multiple
tables simultaneously.

%package common
Summary:        Common files shared between poker clients
Group:          Development/Libraries
Requires:       poker-client-lib = %{version}

%description common
%{summary}.

%package -n poker-network-devel
Summary:          Client library development files
Group:            Development/Libraries
Requires:         %{name}-common = %{version}-%{release}
Requires:         poker-eval-devel

%description -n poker-network-devel
This package contains files required to build applications that use
%{name}.


%prep
%setup -qn poker-network-%{version}
%patch0 -p0 -b .configure~
autoreconf --force --install

# create poker2d desktop file
cat > %{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{name}
GenericName=Multiplayer online poker
GenericName[fr]=Poker multijoueur en ligne
Comment=2D Poker Client
Exec=%{name}
Icon=%{name}.png
X-Miniicon=%{name}.png
X-DocPath=%{name}/index.html
Terminal=false
Type=Application
Categories=KDE;Game;CardGame;
EOF


%build
%configure --disable-static \
    --with-poker-server-host=poker.pokersource.info \
    --with-poker-www-host=pokersource.info
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# handle locales
%find_lang %{name}

# install fedora desktop file
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop
desktop-file-install --vendor=fedora \
    --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
    %{name}.desktop

# install icons under icons directory
install -d $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps
install -d $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps

# We own a directory owned by kdebase because it's more user-friendly
# this way as opposed to creating a new rpm for a single file.
# See bz #434936
mkdir -p $RPM_BUILD_ROOT%{_datadir}/apps/khotkeys

# convert icons to png format
convert $RPM_BUILD_ROOT%{_datadir}/pixmaps/poker2D.xpm \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
convert $RPM_BUILD_ROOT%{_datadir}/pixmaps/poker2D-16.xpm \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/poker2D*.xpm

# relocate poker2d binary
install -d $RPM_BUILD_ROOT%{_bindir}
mv $RPM_BUILD_ROOT%{_exec_prefix}/games/%{name} \
    $RPM_BUILD_ROOT%{_bindir}

# remove libtool archives
rm -f $RPM_BUILD_ROOT%{python_sitelib}/*.la

# remove poker-server/client-lib/web/bot files
# poker2d will eventually be seperated from poker-network
# when poker2d reaches beta at which time manually removing
# these files will no longer become necessary.
rm -f  $RPM_BUILD_ROOT%{_sysconfdir}/poker-network/poker.pem
rm -f  $RPM_BUILD_ROOT%{_sysconfdir}/poker-network/poker.bot.xml
rm -f  $RPM_BUILD_ROOT%{_sysconfdir}/poker-network/poker.server.xml
rm -f  $RPM_BUILD_ROOT%{_sysconfdir}/poker-network/poker.client.xml
rm -fr $RPM_BUILD_ROOT%{_sysconfdir}/poker-web
rm -f  $RPM_BUILD_ROOT%{python_sitelib}/pokernetwork/__init__*
rm -f  $RPM_BUILD_ROOT%{python_sitelib}/pokernetwork/client*
rm -f  $RPM_BUILD_ROOT%{python_sitelib}/pokernetwork/currencyclient*
rm -f  $RPM_BUILD_ROOT%{python_sitelib}/pokernetwork/dispatch*
rm -f  $RPM_BUILD_ROOT%{python_sitelib}/pokernetwork/packets*
rm -f  $RPM_BUILD_ROOT%{python_sitelib}/pokernetwork/pokeravatar*
rm -f  $RPM_BUILD_ROOT%{python_sitelib}/pokernetwork/pokerbot*
rm -f  $RPM_BUILD_ROOT%{python_sitelib}/pokernetwork/pokercashier*
rm -f  $RPM_BUILD_ROOT%{python_sitelib}/pokernetwork/pokerchildren*
rm -f  $RPM_BUILD_ROOT%{python_sitelib}/pokernetwork/pokerclient*
rm -f  $RPM_BUILD_ROOT%{python_sitelib}/pokernetwork/pokerdatabase*
rm -f  $RPM_BUILD_ROOT%{python_sitelib}/pokernetwork/pokerexplain*
rm -f  $RPM_BUILD_ROOT%{python_sitelib}/pokernetwork/pokergameclient*
rm -f  $RPM_BUILD_ROOT%{python_sitelib}/pokernetwork/pokerlock*
rm -f  $RPM_BUILD_ROOT%{python_sitelib}/pokernetwork/pokernetworkconfig*
rm -f  $RPM_BUILD_ROOT%{python_sitelib}/pokernetwork/pokerpackets*
rm -f  $RPM_BUILD_ROOT%{python_sitelib}/pokernetwork/pokerserver*
rm -f  $RPM_BUILD_ROOT%{python_sitelib}/pokernetwork/pokerservice*
rm -f  $RPM_BUILD_ROOT%{python_sitelib}/pokernetwork/pokertable*
rm -f  $RPM_BUILD_ROOT%{python_sitelib}/pokernetwork/protocol*
rm -f  $RPM_BUILD_ROOT%{python_sitelib}/pokernetwork/proxy*
rm -f  $RPM_BUILD_ROOT%{python_sitelib}/pokernetwork/server*
rm -f  $RPM_BUILD_ROOT%{python_sitelib}/pokernetwork/upgrade*
rm -f  $RPM_BUILD_ROOT%{python_sitelib}/pokernetwork/user*
rm -f  $RPM_BUILD_ROOT%{python_sitelib}/pokernetwork/version*
rm -fr $RPM_BUILD_ROOT%{python_sitelib}/pokerui
rm -f  $RPM_BUILD_ROOT%{_sbindir}/*
rm -fr $RPM_BUILD_ROOT%{_datadir}/man/man8
rm -f  $RPM_BUILD_ROOT%{_datadir}/poker-network/*.sql
rm -f  $RPM_BUILD_ROOT%{_datadir}/poker-network/conf/poker.pem
rm -f  $RPM_BUILD_ROOT%{_datadir}/poker-network/conf/poker.bot.xml
rm -f  $RPM_BUILD_ROOT%{_datadir}/poker-network/conf/poker.server.xml
rm -f  $RPM_BUILD_ROOT%{_datadir}/poker-network/conf/poker.client.xml
rm -fr $RPM_BUILD_ROOT%{_datadir}/poker-network/upgrades/poker.bot
rm -fr $RPM_BUILD_ROOT%{_datadir}/poker-network/upgrades/poker.server
rm -fr $RPM_BUILD_ROOT%{_datadir}/poker-network/upgrades/poker.client
rm -f  $RPM_BUILD_ROOT%{_datadir}/poker-network/upgrades/upgrade
rm -fr $RPM_BUILD_ROOT%{_datadir}/poker-web
rm -fr $RPM_BUILD_ROOT%{_datadir}/munin


%check
# make check is currently non-functional on Fedora
# upstream is investigating an in-memory db solution for this
#make check

 
%clean
rm -rf $RPM_BUILD_ROOT


%post -n poker2d
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun -n poker2d
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING HACKING NEWS README
%{_bindir}/%{name}
%{_mandir}/man6/*
%{_datadir}/icons/hicolor/32x32/apps/*.png
%{_datadir}/icons/hicolor/16x16/apps/*.png
%{_datadir}/poker-network/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{python_sitelib}/pokerclient2d
%{python_sitearch}/_pokerinterface*
# Share directory with kdebase (bz #434936)
%dir %{_datadir}/apps/khotkeys
%{_datadir}/apps/khotkeys/*.khotkeys

%files common -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_libexecdir}/poker-network/poker-interface

%files -n poker-network-devel
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/pkgconfig/poker-network.pc


%changelog
* Mon Mar 24 2008 Christopher Stone <chris.stone@gmail.com> 1.4.0-1
- Upstream sync
- Add apg to BuildRequires
- Remove kde subpackage (bz #434936)

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.2.0-4
- Autorebuild for GCC 4.3

* Mon Oct 22 2007 Christopher Stone <chris.stone@gmail.com> 1.2.0-3
- Fix up BuildRequires

* Sun Oct 21 2007 Christopher Stone <chris.stone@gmail.com> 1.2.0-2
- Move pkgconfig file into this spec since it is arch specific
- Add patch to properly handle libexec

* Wed Oct 03 2007 Christopher Stone <chris.stone@gmail.com> 1.2.0-1
- Upstream sync

* Fri Jul 27 2007 Christopher Stone <chris.stone@gmail.com> 1.1.1-1
- Upstream sync
- Remove no longer needed python25 patch
- Add python-simplejson to Requires

* Wed May 23 2007 Christopher Stone <chris.stone@gmail.com> 1.0.37-2
- Add patch to allow python25 builds

* Wed May 23 2007 Christopher Stone <chris.stone@gmail.com> 1.0.37-1
- Upstream sync

* Thu Mar 15 2007 Christopher Stone <chris.stone@gmail.com> 1.0.36-1
- Upstream sync

* Mon Feb 19 2007 Christopher Stone <chris.stone@gmail.com> 1.0.35-3
- Remove NIHPHOBIA from %%doc
- Remove libtool archive files

* Sun Feb 18 2007 Christohper Stone <chris.stone@gmail.com> 1.0.35-2
- Move poker2d binary to %%{_bindir}
- Update desktop file to correspond with new binary location

* Wed Feb 14 2007 Christopher Stone <chris.stone@gmail.com> 1.0.35-1
- Upstream sync
- Remove Requires for MySQL-python
- Move creation of desktop file to %%prep

* Wed Jan 24 2007 Christopher Stone <chris.stone@gmail.com> 1.0.34-1
- Upstream sync
- Comment out make check

* Sat Jan 20 2007 Christohper Stone <chris.stone@gmail.com> 1.0.33-5
- Remove redundant SOAPpy Requires
- Rename icons to %%{name}.png
- Add X-DocPath and X-Miniicon to .desktop file

* Sat Jan 20 2007 Christopher Stone <chris.stone@gmail.com> 1.0.33-4
- Move %%{_libexecdir}/poker-interface into a common subpackage
- Move locales to poker2d-common
- Move poker-client-lib back into poker-network package
- Remove Version from desktop file
- Fix up Requires and BuildRequires
- Fix descriptions for sub packages

* Fri Jan 19 2007 Christopher Stone <chris.stone@gmail.com> 1.0.33-3
- Remove %%{release} from poker-network in poker-client-lib Requires

* Sun Jan 14 2007 Christopher Stone <chris.stone@gmail.com> 1.0.33-2
- Remove poker-network/web/server/bot files

* Sun Jan 14 2007 Christopher Stone <chris.stone@gmail.com> 1.0.33-1
- Initial RPM release
